Package net.shibboleth.shared.spring.config

# Class BooleanToPredicateConverter

java.lang.Object
net.shibboleth.shared.spring.config.BooleanToPredicateConverter

All Implemented Interfaces:
  `Converter<Boolean,Predicate<?>>`

public class BooleanToPredicateConverter extends Object implements Converter<Boolean,Predicate<?>>
Allows setting of fixed `Predicate` properties using a boolean value.

## Constructor Summary

Constructors
Constructor
Description
`BooleanToPredicateConverter()`

## Method Summary

Modifier and Type
Method
Description
`Predicate<?>`
`convert(Boolean source)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.core.convert.converter.Converter

`andThen`

## Constructor Details

### BooleanToPredicateConverter

public BooleanToPredicateConverter()

## Method Details

### convert

public Predicate<?> convert(@Nonnull Boolean source)

Specified by:
  `convert` in interface `Converter<Boolean,Predicate<?>>`